summaryrefslogtreecommitdiffstats
path: root/games/etlegacy
diff options
context:
space:
mode:
Diffstat (limited to 'games/etlegacy')
-rw-r--r--games/etlegacy/doinst.sh7
-rw-r--r--games/etlegacy/etlegacy.SlackBuild33
-rw-r--r--games/etlegacy/etlegacy.info10
-rw-r--r--games/etlegacy/files/etl4
-rw-r--r--games/etlegacy/files/etl_bot4
-rw-r--r--games/etlegacy/files/etlded4
-rw-r--r--games/etlegacy/files/etlded_bot4
7 files changed, 40 insertions, 26 deletions
diff --git a/games/etlegacy/doinst.sh b/games/etlegacy/doinst.sh
index 5fb28930db..4a25de5e6f 100644
--- a/games/etlegacy/doinst.sh
+++ b/games/etlegacy/doinst.sh
@@ -1,3 +1,10 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/etlegacy/etlegacy.SlackBuild b/games/etlegacy/etlegacy.SlackBuild
index 314d0e85c8..8e6f118c35 100644
--- a/games/etlegacy/etlegacy.SlackBuild
+++ b/games/etlegacy/etlegacy.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Slackware build script for etlegacy
-# Copyright 2013-2022 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# Copyright 2013-2023 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,19 +24,27 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=etlegacy
-VERSION=${VERSION:-2.80.2}
+VERSION=${VERSION:-2.81.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i*86) ARCH=i386 ;;
- x86_64) ARCH=x86_64 ;;
- *) echo "$ARCH architecture not supported. This script is available only for i386 and x86_64." ;;
+ i?86) ARCH=i586 ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH=$ARCH
+elif [[ $ARCH =~ i?86 ]]; then
+ SRCARCH=i386
+else
+ echo "$ARCH architecture is unsupported." >/dev/stderr
+ exit 1
+fi
+
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -51,8 +59,8 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG/usr/share $OUTPUT
cd $PKG/usr/share
-tar xvf $CWD/$PRGNAM-v$VERSION-$ARCH.tar.?z
-mv $PRGNAM-v$VERSION-$ARCH $PRGNAM
+tar xvf $CWD/$PRGNAM-v$VERSION-$SRCARCH.tar.?z
+mv $PRGNAM-v$VERSION-$SRCARCH $PRGNAM
cd $PRGNAM
chown -R root:root .
find -L . \
@@ -61,17 +69,16 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 -o -perm 770 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-chmod +x etl etlded
-#rm *.sh
+chmod +x etl.$SRCARCH etlded.$SRCARCH
# Install a script to open urls, and move two scripts to launch the client and
# the dedicated server with/without omnibot support in the binaries folder
mkdir -p $PKG/usr/bin
install -m 0755 $CWD/files/openurl.sh $PKG/usr/bin/openurl.sh
-install -m 0755 $CWD/files/etl $PKG/usr/bin/etl
-install -m 0755 $CWD/files/etlded $PKG/usr/bin/etlded
-install -m 0755 $CWD/files/etl_bot $PKG/usr/bin/etl_bot
-install -m 0755 $CWD/files/etlded_bot $PKG/usr/bin/etlded_bot
+for i in etl etlded etl_bot etlded_bot ; do
+ sed -e "s|@ARCH@|$SRCARCH|" $CWD/files/$i > $PKG/usr/bin/$i
+ chmod +x $PKG/usr/bin/$i
+done
# Install an icon and a desktop file
mv $PKG/usr/share/etlegacy/icons $PKG/usr/share/icons
diff --git a/games/etlegacy/etlegacy.info b/games/etlegacy/etlegacy.info
index abbf5c1933..abc9dc421a 100644
--- a/games/etlegacy/etlegacy.info
+++ b/games/etlegacy/etlegacy.info
@@ -1,10 +1,10 @@
PRGNAM="etlegacy"
-VERSION="2.80.2"
+VERSION="2.81.1"
HOMEPAGE="https://www.etlegacy.com"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/etlegacy-v2.80.2-i386.tar.gz"
-MD5SUM="a8c32bd1742be1884eb8898932960770"
-DOWNLOAD_x86_64="http://ponce.cc/slackware/sources/repo/etlegacy-v2.80.2-x86_64.tar.gz"
-MD5SUM_x86_64="a6b7b4ea4a95b3cd17d5555b643f4568"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/etlegacy/etlegacy-v2.81.1-i386.tar.gz"
+MD5SUM="0770c036845a6aae69e984d5403785c6"
+DOWNLOAD_x86_64="http://ponce.cc/slackware/sources/repo/etlegacy/etlegacy-v2.81.1-x86_64.tar.gz"
+MD5SUM_x86_64="4ccc5fde6b993dc2a4387fd62dba204b"
REQUIRES="%README% etlegacy-data"
MAINTAINER="Matteo Bernardini"
EMAIL="ponce@slackbuilds.org"
diff --git a/games/etlegacy/files/etl b/games/etlegacy/files/etl
index 8fa6ad91a8..17958ffda0 100644
--- a/games/etlegacy/files/etl
+++ b/games/etlegacy/files/etl
@@ -1,5 +1,5 @@
#!/bin/sh
# Simple script to start ET Legacy client
-#
+
cd /usr/share/etlegacy
-LD_LIBRARY_PATH=$LD_LIBRARY_PATH:. ./etl $@
+LD_LIBRARY_PATH=$LD_LIBRARY_PATH:. ./etl.@ARCH@ $@
diff --git a/games/etlegacy/files/etl_bot b/games/etlegacy/files/etl_bot
index 297da71393..a3b6ed30af 100644
--- a/games/etlegacy/files/etl_bot
+++ b/games/etlegacy/files/etl_bot
@@ -1,5 +1,5 @@
#!/bin/sh
# Simple script to start ET Legacy client/listen server with Omni-Bots
-#
+
cd /usr/share/etlegacy
-LD_LIBRARY_PATH=$LD_LIBRARY_PATH:. ./etl +set omnibot_enable 1 +set omnibot_path "./legacy/omni-bot" $@
+LD_LIBRARY_PATH=$LD_LIBRARY_PATH:. ./etl.@ARCH@ +set omnibot_enable 1 +set omnibot_path "./legacy/omni-bot" $@
diff --git a/games/etlegacy/files/etlded b/games/etlegacy/files/etlded
index acf1b9f944..1fcb3aacfd 100644
--- a/games/etlegacy/files/etlded
+++ b/games/etlegacy/files/etlded
@@ -1,5 +1,5 @@
#!/bin/sh
# Simple script to start ET Legacy dedicated server
-#
+
cd /usr/share/etlegacy
-LD_LIBRARY_PATH=$LD_LIBRARY_PATH:. ./etlded $@ +exec etl_server.cfg
+LD_LIBRARY_PATH=$LD_LIBRARY_PATH:. ./etlded.@ARCH@ $@ +exec etl_server.cfg
diff --git a/games/etlegacy/files/etlded_bot b/games/etlegacy/files/etlded_bot
index c62a7d6ce2..5b3e9b676b 100644
--- a/games/etlegacy/files/etlded_bot
+++ b/games/etlegacy/files/etlded_bot
@@ -1,5 +1,5 @@
#!/bin/sh
# Simple script to start ET Legacy dedicated server with Omni-Bots
-#
+
cd /usr/share/etlegacy
-LD_LIBRARY_PATH=$LD_LIBRARY_PATH:. ./etlded +set g_protect 1 +set omnibot_enable 1 +set omnibot_path "./legacy/omni-bot" +exec etl_server.cfg $@
+LD_LIBRARY_PATH=$LD_LIBRARY_PATH:. ./etlded.@ARCH@ +set g_protect 1 +set omnibot_enable 1 +set omnibot_path "./legacy/omni-bot" +exec etl_server.cfg $@